package app

import (
	"common/db"
	"gateway/config"
)

// ModuleDB 数据库模块
type ModuleDB struct {
	dbModule *db.ModuleDB
}

func (p *ModuleDB) init() error {
	return p.dbModule.Init(config.Get().DB)
}

func (p *ModuleDB) start() error {
	return nil
}

func (p *ModuleDB) stop() error {
	return p.dbModule.Stop()
}
